PrefabFiles = {
	"mileena",
	"mileena_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/mileena.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mileena.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mileena.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mileena.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/mileena_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mileena_silho.xml" ),

    Asset( "IMAGE", "bigportraits/mileena.tex" ),
    Asset( "ATLAS", "bigportraits/mileena.xml" ),
	
	Asset( "IMAGE", "images/map_icons/mileena.tex" ),
	Asset( "ATLAS", "images/map_icons/mileena.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_mileena.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_mileena.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_mileena.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_mileena.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_mileena.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_mileena.xml" ),
	
	Asset( "IMAGE", "images/names_mileena.tex" ),
    Asset( "ATLAS", "images/names_mileena.xml" ),
	
    Asset( "IMAGE", "bigportraits/mileena_none.tex" ),
    Asset( "ATLAS", "bigportraits/mileena_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.mileena = "The man eater "
STRINGS.CHARACTER_NAMES.mileena = "Mileena"
STRINGS.CHARACTER_DESCRIPTIONS.mileena = "*A real murderer\n*Only eats meat\n*Born to rule"
STRINGS.CHARACTER_QUOTES.mileena = "\"Bow down to your empress\""

-- Custom speech strings
STRINGS.CHARACTERS.MILEENA = require "speech_mileena"

-- The character's name as appears in-game 
STRINGS.NAMES.MILEENA = "Esc"

AddMinimapAtlas("images/map_icons/mileena.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("mileena", "FEMALE")

